require("config")

data:extend(
{
  {
    type = "item-subgroup",
    name = "scott-magnets",
    group = "intermediate-products",
    order = "a-1"
  }
}
)


data:extend(
{
  {
    type = "item-subgroup",
    name = "scott-ores",
    group = "intermediate-products",
    order = "b-a"
  },
}
)

-- require("libs.ore-functions")

require("prototypes.recipe-category")

require("prototypes.ores.lode-stone")
require("prototypes.ores.monazite-ore")
require("prototypes.tech.basic.tree-pitch")
require("prototypes.tech.basic.basic-motor")
require("prototypes.tech.basic.paper")
require("prototypes.tech.basic.transformer")
require("prototypes.tech.basic.capacitor")
require("prototypes.tech.basic.diode")
require("prototypes.tech.basic.bridge-rectifier")
require("prototypes.tech.basic.neodymium-dust")
require("prototypes.tech.basic.iron-dust")
require("prototypes.tech.advanced.neodymium-disk")
require("prototypes.tech.advanced.neodymium-magnet")
require("prototypes.tech.advanced.iron-magnet")
require("prototypes.tech.advanced.enhanced-motor")
require("prototypes.tech.advanced.advanced-motor")

require("prototypes.tech.advanced.milling-machine")
require("prototypes.tech.advanced.sintering-machine")
require("prototypes.tech.advanced.magnetizing-machine")


require("prototypes.recipes")

for i, ore in pairs(scottmod.ores) do
  bobmods.lib.generate_ore_data_stage(ore)
end


data.raw["resource"]["iron-ore"].minable.result = nil
data.raw["resource"]["iron-ore"].minable.results = {
	{type="item", name="iron-ore", amount=1},
	{type="item", name="lode-stone", amount=1, probability = 0.01}
}

for _,tree in pairs(data.raw["tree"]) do
	tree.minable.result = nil
	tree.minable.results = {
		{type="item", name="raw-wood", amount=2},
		{type="item", name="tree-pitch", amount=1, probability = 0.1}
	}
end
