require "defines"

local function regenerate_entity(ore)
  if game.entity_prototypes[ore] and game.entity_prototypes[ore].autoplace_specification then
    game.regenerate_entity(ore)
  end
end

remote.add_interface("scottores",
{
  Regenerate = function()
--    for i, player in ipairs(game.players) do
--      player.print("Regenerating all ores now, this may take some time...")
--    end
    regenerate_entity("monazite-ore")
    for i, player in ipairs(game.players) do
      player.print("All ores successfully regenerated!")
    end
  end
}
)


script.on_init(function()
    unlockRecipesIfResearchIsAlreadyDone()
end)

function unlockRecipesIfResearchIsAlreadyDone()

    for _, f in pairs(game.forces) do
        if f.technologies["automation"].researched then
            f.recipes["milling-machine"].enabled = true
            f.recipes["sintering-machine"].enabled = true
        end
    end

end