data.raw["recipe"]["fast-inserter"].ingredients[# data.raw["recipe"]["fast-inserter"].ingredients] = {"iron-magnet", 1}
-- data.raw["recipe"]["fast-inserter"].ingredients[# data.raw["recipe"]["long-inserter"].ingredients + 1] = {"iron-magnet", 1}
data:extend(
{
	{
		type = "recipe",
		name = "basic-inserter",
		energy_required = 15,
		ingredients =
		{   
			{"iron-plate", 5},
			{"basic-motor", 2},
			{"transformer", 1},
			{"capacitor", 1}
		},
		result = "basic-inserter"
	},
    {
      type = "recipe",
      name = "fast-inserter",
      enabled = false,
      ingredients =
      {
        {"electronic-circuit", 2},
        {"iron-plate", 2},
        {"basic-inserter", 1},
		{"enhanced-motor", 1}
      },
      result = "fast-inserter"
    },
    {
      type = "recipe",
      name = "long-handed-inserter",
      enabled = false,
      ingredients =
      {
        {"iron-gear-wheel", 1},
        {"iron-plate", 1},
        {"basic-inserter", 1},
		{"enhanced-motor", 1}
      },
      result = "long-handed-inserter"
    },
    {
      type = "recipe",
      name = "smart-inserter",
      enabled = false,
      ingredients =
      {
        {"fast-inserter", 1},
        {"electronic-circuit", 4},
		{"bridge-rectifier", 1},
		{"advanced-motor", 1}
      },
      result = "smart-inserter"
    },
    {
      type = "recipe",
      name = "smart-chest",
      enabled = false,
      ingredients =
      {
        {"steel-chest", 1},
        {"electronic-circuit", 3},
        {"bridge-rectifier", 3},
      },
      result = "smart-chest"
    },

    {
      type = "recipe",
      name = "gun-turret",
      enabled = false,
      energy_required = 10,
      ingredients =
      {
        {"iron-gear-wheel", 10},
        {"copper-plate", 10},
        {"iron-plate", 20},
		{"basic-motor", 10},
		{"transformer", 1},
		{"capacitor", 1}
      },
      result = "gun-turret"
    },
    {
      type = "recipe",
      name = "basic-mining-drill",
      energy_required = 2,
      ingredients =
      {
        {"electronic-circuit", 3},
        {"iron-gear-wheel", 5},
        {"iron-plate", 10},
		{"basic-motor", 10},
		{"transformer", 10},
		{"capacitor", 10}
      },
      result = "basic-mining-drill"
    },
    {
      type = "recipe",
      name = "assembling-machine-1",
      enabled = false,
      ingredients =
      {
        {"electronic-circuit", 3},
        {"iron-gear-wheel", 5},
        {"iron-plate", 9},
		{"basic-motor", 30},
		{"transformer", 30},
		{"capacitor", 30}
      },
      result = "assembling-machine-1"
    },
    {
      type = "recipe",
      name = "steam-engine",
      ingredients =
      {
        {"iron-gear-wheel", 12},
        {"pipe", 5},
        {"iron-plate", 5},
		  {"basic-motor", 12},
		{"transformer", 12},
		{"capacitor", 12}
      },
      result = "steam-engine"
    },
    {
      type = "recipe",
      name = "solar-panel",
      energy_required = 10,
      enabled = false,
      ingredients =
      {
        {"steel-plate", 5},
        {"electronic-circuit", 15},
        {"copper-plate", 5},
		{"diode", 1}
      },
      result = "solar-panel"
    },
	{
	    type = "recipe",
	    name = "assembling-machine-2",
	    enabled = false,
	    ingredients =
	    {
	      {"iron-plate", 9},
	      {"electronic-circuit", 3},
	      {"iron-gear-wheel", 5},
	      {"assembling-machine-1", 1},
		  {"enhanced-motor", 2}
	    },
	    result = "assembling-machine-2"
	  },
	  {
	    type = "recipe",
	    name = "assembling-machine-3",
	    enabled = false,
	    ingredients =
	    {
	      {"speed-module", 4},
	      {"assembling-machine-2", 2},
		  {"advanced-motor", 2}
	    },
	    result = "assembling-machine-3"
	  },
	  {
	    type = "recipe",
	    name = "gate",
	    enabled = false,
	    ingredients = {{"stone-wall", 1}, {"steel-plate", 2}, {"electronic-circuit", 2}, {"enhanced-motor", 2}},
	    result = "gate"
	  },
	  {
	      type = "recipe",
	      name = "logistic-robot",
	      enabled = false,
	      ingredients =
	      {
	        {"flying-robot-frame", 1},
	        {"advanced-circuit", 2},
			{"advanced-motor", 2}
	      },
	      result = "logistic-robot"
	    },
	    {
	      type = "recipe",
	      name = "construction-robot",
	      enabled = false,
	      ingredients =
	      {
	        {"flying-robot-frame", 1},
	        {"electronic-circuit", 2},
			{"advanced-motor", 2}
	      },
	      result = "construction-robot"
	    },
	    {
	      type = "recipe",
	      name = "roboport",
	      enabled = false,
	      ingredients =
	      {
	        {"steel-plate", 45},
	        {"iron-gear-wheel", 45},
	        {"advanced-circuit", 45},
			{"advanced-motor", 15}
	      },
	      result = "roboport",
	      energy_required = 15
	    },

	    {
	      type = "recipe",
	      name = "substation",
	      enabled = false,
	      ingredients =
	      {
	        {"steel-plate", 10},
	        {"advanced-circuit", 5},
	        {"copper-plate", 5},
			{"transformer", 5},
			{"diode", 5},
	      },
	      result = "substation"
	    },
	    {
	      type = "recipe",
	      name = "medium-electric-pole",
	      enabled = false,
	      ingredients =
	      {
	        {"steel-plate", 2},
	        {"copper-plate", 2},
			{"transformer", 1}
	      },
	      result = "medium-electric-pole"
	    },
	    {
	      type = "recipe",
	      name = "basic-accumulator",
	      energy_required = 10,
	      enabled = false,
	      ingredients =
	      {
	        {"iron-plate", 2},
	        {"battery", 5},
			{"capacitor", 9},
			{"transformer", 3},
			{"diode", 15},
	      },
	      result = "basic-accumulator"
	    },
	    {
	      type = "recipe",
	      name = "electric-furnace",
	      ingredients = {{"steel-plate", 15}, {"advanced-circuit", 5}, {"stone-brick", 10},{"transformer", 2},},
	      result = "electric-furnace",
	      energy_required = 5,
	      enabled = false
	    },
	    {
	      type = "recipe",
	      name = "pumpjack",
	      energy_required = 20,
	      ingredients =
	      {
	        {"steel-plate", 15},
	        {"iron-gear-wheel", 10},
	        {"electronic-circuit", 10},
	        {"pipe", 10},
			{"enhanced-motor", 1}
	      },
	      result = "pumpjack",
	      enabled = false
	    },
	    {
	      type = "recipe",
	      name = "oil-refinery",
	      energy_required = 20,
	      ingredients =
	      {
	        {"steel-plate", 15},
	        {"iron-gear-wheel", 10},
	        {"stone-brick", 10},
	        {"electronic-circuit", 10},
	        {"pipe", 10},
			{"transformer", 10},
			{"enhanced-motor", 5},
	      },
	      result = "oil-refinery",
	      enabled = false
	    },
	    {
	      type = "recipe",
	      name = "chemical-plant",
	      energy_required = 10,
	      enabled = false,
	      ingredients =
	      {
	        {"steel-plate", 5},
	        {"iron-gear-wheel", 5},
	        {"electronic-circuit", 5},
	        {"pipe", 5},
			{"transformer", 10},
			{"enhanced-motor", 5},
	      },
	      result= "chemical-plant"
	    },
	    {
	      type = "recipe",
	      name = "electric-engine-unit",
	      category = "crafting-with-fluid",
	      energy_required = 20,
	      ingredients =
	      {
	        {"engine-unit", 1},
	        {type="fluid", name= "lubricant", amount = 2},
	        {"electronic-circuit", 2},
			{"advanced-motor", 1}
	      },
	      result = "electric-engine-unit",
	      enabled = false
	    },
		{
		    type = "recipe",
		    name = "arithmetic-combinator",
		    enabled = "false",
		    ingredients =
		    {
		      {"copper-cable", 5},
			  {"transformer", 1},
		      {"electronic-circuit", 5},
		    },
		    result = "arithmetic-combinator"
		  },
		  {
		    type = "recipe",
		    name = "decider-combinator",
		    enabled = "false",
		    ingredients =
		    {
		      {"copper-cable", 5},
			  {"transformer", 1},
		      {"electronic-circuit", 5},
		    },
		    result = "decider-combinator"
		  },
		  {
		    type = "recipe",
		    name = "constant-combinator",
		    enabled = "false",
		    ingredients =
		    {
		      {"copper-cable", 5},
			  {"transformer", 1},
		      {"electronic-circuit", 2},
		    },
		    result = "constant-combinator"
		  },
})